%{?nodejs_find_provides_and_requires}
%global npm_name prr

Summary:       A better Object.defineProperty
Name:          nodejs-%{npm_name}
Version:       1.0.1
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/rvagg/prr
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
A sensible alternative to Object.defineProperty.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr prr.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Wed Jan 06 2016 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Initial package
